Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch.model
Class Metric

    java.lang.Object
      com.amazonaws.services.cloudwatch.model.Metric

    public class Metric

extends Object

Metric

Constructor Summary
`Metric()`

Method Summary
`List<Dimension>` | `getDimensions()` Returns the value of the Dimensions property for this object.
`String` | `getMeasureName()` Returns the value of the MeasureName property for this object.
`String` | `getNamespace()` Returns the value of the Namespace property for this object.
`void` | `setDimensions(Collection<Dimension> dimensions)` Sets the value of the Dimensions property for this object.
`void` | `setMeasureName(String measureName)` Sets the value of the MeasureName property for this object.
`void` | `setNamespace(String namespace)` Sets the value of the Namespace property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Metric` | `withDimensions(Collection<Dimension> dimensions)` Sets the value of the Dimensions property for this object.
`Metric` | `withDimensions(Dimension... dimensions)` Sets the value of the Dimensions property for this object.
`Metric` | `withMeasureName(String measureName)` Sets the value of the MeasureName property for this object.
`Metric` | `withNamespace(String namespace)` Sets the value of the Namespace property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Metric

    public Metric()

Method Detail

### getMeasureName

    public String getMeasureName()

  Returns the value of the MeasureName property for this object.

  Returns:
    The value of the MeasureName property for this object.

### setMeasureName

    public void setMeasureName(String measureName)

  Sets the value of the MeasureName property for this object.

  Parameters:
    `measureName` - The new value for the MeasureName property for this object.

### withMeasureName

    public Metric withMeasureName(String measureName)

  Sets the value of the MeasureName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `measureName` - The new value for the MeasureName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDimensions

    public List<Dimension> getDimensions()

  Returns the value of the Dimensions property for this object.

  Returns:
    The value of the Dimensions property for this object.

### setDimensions

    public void setDimensions(Collection<Dimension> dimensions)

  Sets the value of the Dimensions property for this object.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.

### withDimensions

    public Metric withDimensions(Dimension... dimensions)

  Sets the value of the Dimensions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDimensions

    public Metric withDimensions(Collection<Dimension> dimensions)

  Sets the value of the Dimensions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dimensions` - The new value for the Dimensions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNamespace

    public String getNamespace()

  Returns the value of the Namespace property for this object.

  Constraints:
  Pattern: [^:].*

  Returns:
    The value of the Namespace property for this object.

### setNamespace

    public void setNamespace(String namespace)

  Sets the value of the Namespace property for this object.

  Constraints:
  Pattern: [^:].*

  Parameters:
    `namespace` - The new value for the Namespace property for this object.

### withNamespace

    public Metric withNamespace(String namespace)

  Sets the value of the Namespace property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [^:].*

  Parameters:
    `namespace` - The new value for the Namespace property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.